# Market Info

## **Market Data**

### **GET /openInterests**

Returns the total open interest positions for long and short positions.

**Response:**

```json
{
  "long": 1000000,
  "short": 800000
}
```

### **GET /marketInfo**

Returns general market information.

**Response:**

```json
{
  "marketCap": 10000000,
  "slpPrice": 2,
  "slpSupply": 5000000,
  "apr": 100%
}
```

### **GET /totalVolume**

Returns the total trading volume across the platform since launch.

**Response:**

```json
{
  "totalVolume": 50000000
}
```

### **GET /volume**

Returns daily and total trading volume.

**Parameters:**

| Name      | Type   | Required | Description                                                                                    |
| --------- | ------ | -------- | ---------------------------------------------------------------------------------------------- |
| timestamp | number | No       | Unix timestamp to get volume for a specific day ending at timestamp (defaults to current time) |

**Response:**

```json
{
  "dailyVolume": 1000000,
  "totalVolume": 50000000
}
```

## Fee Data

### **GET /fee**

Returns fee information for a specific day.

**Parameters:**

| Name      | Type   | Required | Description                                                                                  |
| --------- | ------ | -------- | -------------------------------------------------------------------------------------------- |
| timestamp | number | No       | Unix timestamp to get fees for a specific day ending at timestamp (defaults to current time) |

**Response:**

```json
{
  "fee": 10000,
  "tradingFee": 8000,
  "fundingFee": 1000,
  "poolFee": 1000,
  "timestamp": "2023-01-01T00:00:00.000Z"
}
```

### **GET /totalFee**

Returns total fee information across the platform since launch.

**Response:**

```json
{
  "totalFee": 500000,
  "totalTradingFee": 400000,
  "totalFundingFee": 50000,
  "totalPoolFee": 50000
}
```

## APR Data

### **GET /cumulativeApr**

Returns the cumulative annual percentage rate since launch.

**Response:**

```json
{
  "cumulativeApr": 0.15,
  "cumulativeFundingApr": 0.05,
  "netDepositVolume": 10000000
}
```

### **GET /apr**

Returns the annual percentage rate for a specific time range with "1d" or "7d" only.

**Parameters:**

| Name        | Type   | Required | Description                                                          |
| ----------- | ------ | -------- | -------------------------------------------------------------------- |
| time\_range | string | No       | Time range for APR calculation (Only supported values: "7d" or "1d") |

**Response:**

```json
{
  "apr": 0.18,
  "fundingApr": 0.06
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sudo.finance/sudo-api/sudo-api-reference/market-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
